ru.bitel.bgbilling.modules.inet.api.common.bean

## Class InetServRestriction

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.inet.api.common.bean.InetServRestriction

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class InetServRestriction
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_SERVICE_ACCOUNT_ACCOUNTING_PERIOD`
    `static int` | `TYPE_SERVICE_ACCOUNT_DAY`
    `static int` | `TYPE_SERVICE_ACCOUNT_MONTH`
    `static int` | `TYPE_SERVICE_AMOUNT_ACCOUNTING_PERIOD`
    `static int` | `TYPE_SERVICE_AMOUNT_DAY`
    `static int` | `TYPE_SERVICE_AMOUNT_MONTH`
    `static int` | `TYPE_TIME`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetServRestriction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigDecimal` | `getAmount()`
    `java.lang.String` | `getComment()`
    `java.util.Date` | `getDateFrom()`
    `java.util.Date` | `getDateTo()`
    `int` | `getInetServId()`
    `int` | `getOrder()`
    `java.util.Set<java.lang.Integer>` | `getServiceIds()`
    `int` | `getType()`
    `void` | `setAmount(java.math.BigDecimal amount)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setDateFrom(java.util.Date dateFrom)`
    `void` | `setDateTo(java.util.Date dateTo)`
    `void` | `setInetServId(int inetServId)`
    `void` | `setOrder(int order)`
    `void` | `setServiceIds(java.util.Set<java.lang.Integer> serviceIds)`
    `void` | `setType(int type)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_TIME

          public static final int TYPE_TIME

      See Also:
        Constant Field Values

    - #### TYPE_SERVICE_AMOUNT_ACCOUNTING_PERIOD

          public static final int TYPE_SERVICE_AMOUNT_ACCOUNTING_PERIOD

      See Also:
        Constant Field Values

    - #### TYPE_SERVICE_AMOUNT_MONTH

          public static final int TYPE_SERVICE_AMOUNT_MONTH

      See Also:
        Constant Field Values

    - #### TYPE_SERVICE_AMOUNT_DAY

          public static final int TYPE_SERVICE_AMOUNT_DAY

      See Also:
        Constant Field Values

    - #### TYPE_SERVICE_ACCOUNT_ACCOUNTING_PERIOD

          public static final int TYPE_SERVICE_ACCOUNT_ACCOUNTING_PERIOD

      See Also:
        Constant Field Values

    - #### TYPE_SERVICE_ACCOUNT_MONTH

          public static final int TYPE_SERVICE_ACCOUNT_MONTH

      See Also:
        Constant Field Values

    - #### TYPE_SERVICE_ACCOUNT_DAY

          public static final int TYPE_SERVICE_ACCOUNT_DAY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InetServRestriction

          public InetServRestriction()

  - ### Method Detail

    - #### getInetServId

          public int getInetServId()

    - #### setInetServId

          public void setInetServId(int inetServId)

    - #### getType

          public int getType()

    - #### setType

          public void setType(int type)

    - #### getOrder

          public int getOrder()

    - #### setOrder

          public void setOrder(int order)

    - #### getDateFrom

          public java.util.Date getDateFrom()

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

    - #### getDateTo

          public java.util.Date getDateTo()

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

    - #### getServiceIds

          public java.util.Set<java.lang.Integer> getServiceIds()

    - #### setServiceIds

          public void setServiceIds(java.util.Set<java.lang.Integer> serviceIds)

    - #### getAmount

          public java.math.BigDecimal getAmount()

    - #### setAmount

          public void setAmount(java.math.BigDecimal amount)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Id`